#!/usr/bin/env python3
import sys
import numpy as np
import netCDF4
from array import array

if __name__ == "__main__":

    inputNCFile = sys.argv[1]
    outputNCFile = sys.argv[2]
#   Open the file
    source = netCDF4.Dataset(inputNCFile,'r',format='NETCDF4')
    destination = netCDF4.Dataset(outputNCFile,'w',format='NETCDF4')
#    get dimensions
    dims=source.dimensions
    latdim = dims['Latitude']
    londim = dims['Longitude']
#   copy and flip the SLA variable
    lat = destination.createDimension(latdim.name,latdim.size)
    lon = destination.createDimension(londim.name,londim.size)

    sla = destination.createVariable('SLA',"f",("Longitude","Latitude"))
    sourceSLA = np.reshape(source.variables['SLA'],(londim.size,latdim.size))
    sla[:] = np.fliplr(sourceSLA)
#   copy lon/lat arrays (and flip lat) 
    Latitude = destination.createVariable('Latitude',"f",("Latitude",))
    Longitude = destination.createVariable('Longitude',"f",("Longitude",))

    sourceLon = np.reshape(source.variables['Longitude'],(londim.size,))
    sourceLat = np.reshape(source.variables['Latitude'],(latdim.size,))

    Latitude[:] = sourceLat[::-1]
    Longitude[:] = sourceLon
    
#   Close the files
    source.close()
    destination.close()
 
